diff --git a/src/db/sysdb_ssh.c b/src/db/sysdb_ssh.c
index 7dd98cf..e639dc4 100644
--- a/src/db/sysdb_ssh.c
+++ b/src/db/sysdb_ssh.c
@@ -34,7 +34,8 @@ sysdb_update_ssh_host(struct sss_domain_info *domain,
                              attrs);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "Error storing host %s [%d]: %s\n", name, ret, strerror(ret));
+              "Error storing host %s [%d]: %s\n", name, ret,
+              sss_strerror(ret));
         return ret;
     }
 
@@ -80,14 +81,15 @@ sysdb_store_ssh_host(struct sss_domain_info *domain,
     ret = sysdb_attrs_add_string(attrs, SYSDB_OBJECTCLASS, SYSDB_SSH_HOST_OC);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "Could not set object class [%d]: %s\n", ret, strerror(ret));
+              "Could not set object class [%d]: %s\n", ret, sss_strerror(ret));
         goto done;
     }
 
     ret = sysdb_attrs_add_string(attrs, SYSDB_NAME, name);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "Could not set name attribute [%d]: %s\n", ret, strerror(ret));
+              "Could not set name attribute [%d]: %s\n", ret,
+              sss_strerror(ret));
         goto done;
     }
 
@@ -109,7 +111,7 @@ sysdb_store_ssh_host(struct sss_domain_info *domain,
                     if (ret != EOK) {
                         DEBUG(SSSDBG_OP_FAILURE,
                               "Could not add name alias %s [%d]: %s\n",
-                               el->values[i].data, ret, strerror(ret));
+                               el->values[i].data, ret, sss_strerror(ret));
                         goto done;
                     }
                 }
@@ -122,7 +124,7 @@ sysdb_store_ssh_host(struct sss_domain_info *domain,
             if (ret != EOK) {
                 DEBUG(SSSDBG_OP_FAILURE,
                       "Could not add name alias %s [%d]: %s\n",
-                       alias, ret, strerror(ret));
+                       alias, ret, sss_strerror(ret));
                 goto done;
             }
         }
@@ -134,7 +136,7 @@ sysdb_store_ssh_host(struct sss_domain_info *domain,
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
                   "Could not get sysdb sshPublicKey [%d]: %s\n",
-                   ret, strerror(ret));
+                   ret, sss_strerror(ret));
             goto done;
         }
     }
@@ -143,7 +145,7 @@ sysdb_store_ssh_host(struct sss_domain_info *domain,
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
               "Could not set sysdb lastUpdate [%d]: %s\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto done;
     }
 
@@ -204,7 +206,7 @@ sysdb_update_ssh_known_host_expire(struct sss_domain_info *domain,
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
               "Could not set known_hosts expire time [%d]: %s\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto done;
     }
 
@@ -253,7 +255,7 @@ sysdb_search_ssh_hosts(TALLOC_CTX *mem_ctx,
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Error looking up host [%d]: %s\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto done;
     } if (ret == ENOENT) {
         DEBUG(SSSDBG_TRACE_FUNC, "No such host\n");
diff --git a/src/db/sysdb_sudo.c b/src/db/sysdb_sudo.c
index 261ed82..5619f85 100644
--- a/src/db/sysdb_sudo.c
+++ b/src/db/sysdb_sudo.c
@@ -397,7 +397,7 @@ sysdb_get_sudo_user_info(TALLOC_CTX *mem_ctx,
             sysdb_groupnames[num_groups] = NULL;
         } else if (ret != ENOENT) {
             DEBUG(SSSDBG_CRIT_FAILURE, "Error looking up group [%d]: %s\n",
-                                        ret, strerror(ret));
+                                        ret, sss_strerror(ret));
             goto done;
         }
     }
@@ -429,14 +429,14 @@ sysdb_save_sudorule(struct sss_domain_info *domain,
                                  SYSDB_SUDO_CACHE_OC);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not set rule object class [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         return ret;
     }
 
     ret = sysdb_attrs_add_string(attrs, SYSDB_NAME, rule_name);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not set name attribute [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         return ret;
     }
 
@@ -444,7 +444,7 @@ sysdb_save_sudorule(struct sss_domain_info *domain,
                              SUDORULE_SUBDIR, attrs);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "sysdb_store_custom failed [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         return ret;
     }
 
diff --git a/src/monitor/monitor.c b/src/monitor/monitor.c
index 39f4e64..414b2bb 100644
--- a/src/monitor/monitor.c
+++ b/src/monitor/monitor.c
@@ -2854,7 +2854,7 @@ int main(int argc, const char *argv[])
                  "SSSD couldn't load the configuration database.\n");
             sss_log(SSS_LOG_ALERT,
                    "SSSD couldn't load the configuration database [%d]: %s.\n",
-                    ret, strerror(ret));
+                    ret, sss_strerror(ret));
             break;
         }
         return 4;
diff --git a/src/monitor/monitor_sbus.c b/src/monitor/monitor_sbus.c
index 544407c..e883672 100644
--- a/src/monitor/monitor_sbus.c
+++ b/src/monitor/monitor_sbus.c
@@ -171,7 +171,7 @@ errno_t monitor_common_rotate_logs(struct confdb_ctx *confdb,
     ret = rotate_debug_files();
     if (ret) {
         sss_log(SSS_LOG_ALERT, "Could not rotate debug files! [%d][%s]\n",
-                               ret, strerror(ret));
+                               ret, sss_strerror(ret));
         return ret;
     }
 
@@ -182,7 +182,7 @@ errno_t monitor_common_rotate_logs(struct confdb_ctx *confdb,
                          &debug_level);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE, "Error reading from confdb (%d) [%s]\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         /* Try to proceed with the old value */
         debug_level = old_debug_level;
     }
diff --git a/src/providers/ad/ad_common.c b/src/providers/ad/ad_common.c
index 96a2188..67250af 100644
--- a/src/providers/ad/ad_common.c
+++ b/src/providers/ad/ad_common.c
@@ -315,7 +315,7 @@ ad_get_common_options(TALLOC_CTX *mem_ctx,
         if (ret != EOK) {
             DEBUG(SSSDBG_FATAL_FAILURE,
                   "Setting ad_hostname failed [%s].\n",
-                   strerror(ret));
+                   sss_strerror(ret));
             goto done;
         }
     }
@@ -367,7 +367,7 @@ ad_get_common_options(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Could not set domain case-sensitive: [%s]\n",
-               strerror(ret));
+               sss_strerror(ret));
         goto done;
     }
 
@@ -436,7 +436,7 @@ _ad_servers_init(struct ad_service *service,
             if (ret != EOK) {
                 DEBUG(SSSDBG_FATAL_FAILURE,
                       "Failed to add service discovery to failover: [%s]",
-                       strerror(ret));
+                       sss_strerror(ret));
                 goto done;
             }
 
@@ -453,7 +453,7 @@ _ad_servers_init(struct ad_service *service,
             if (ret != EOK) {
                 DEBUG(SSSDBG_FATAL_FAILURE,
                       "Failed to add service discovery to failover: [%s]",
-                       strerror(ret));
+                       sss_strerror(ret));
                 goto done;
             }
 
@@ -663,7 +663,7 @@ ad_failover_init(TALLOC_CTX *mem_ctx, struct be_ctx *bectx,
                                      ad_resolve_callback, service);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              "Failed to add failover callback! [%s]\n", strerror(ret));
+              "Failed to add failover callback! [%s]\n", sss_strerror(ret));
         goto done;
     }
 
@@ -671,7 +671,7 @@ ad_failover_init(TALLOC_CTX *mem_ctx, struct be_ctx *bectx,
                                      ad_resolve_callback, service);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              "Failed to add failover callback! [%s]\n", strerror(ret));
+              "Failed to add failover callback! [%s]\n", sss_strerror(ret));
         goto done;
     }
 
@@ -822,7 +822,7 @@ ad_resolve_callback(void *private_data, struct fo_server *server)
 done:
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "Error: [%s]\n", strerror(ret));
+              "Error: [%s]\n", sss_strerror(ret));
     }
     talloc_free(tmp_ctx);
     return;
diff --git a/src/providers/ad/ad_id.c b/src/providers/ad/ad_id.c
index f9bf83e..ab355a0 100644
--- a/src/providers/ad/ad_id.c
+++ b/src/providers/ad/ad_id.c
@@ -495,7 +495,7 @@ ad_enumeration_send(TALLOC_CTX *mem_ctx,
     subreq = sdap_id_op_connect_send(state->sdap_op, state, &ret);
     if (subreq == NULL) {
         DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_connect_send failed: %d(%s).\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
         goto fail;
     }
     tevent_req_set_callback(subreq, ad_enumeration_conn_done, req);
@@ -527,7 +527,7 @@ ad_enumeration_conn_done(struct tevent_req *subreq)
         } else {
             DEBUG(SSSDBG_MINOR_FAILURE,
                   "Domain enumeration failed to connect to " \
-                   "LDAP server: (%d)[%s]\n", ret, strerror(ret));
+                   "LDAP server: (%d)[%s]\n", ret, sss_strerror(ret));
             tevent_req_error(req, ret);
         }
         return;
@@ -764,7 +764,7 @@ ad_enum_cross_dom_members(struct sdap_options *opts,
             ret = ad_group_add_member(opts, dom, msgs[i]->dn, group_only[mi]);
             if (ret != EOK) {
                 DEBUG(SSSDBG_MINOR_FAILURE, "Failed to add [%s]: %s\n",
-                      group_only[mi], strerror(ret));
+                      group_only[mi], sss_strerror(ret));
                 continue;
             }
         }
diff --git a/src/providers/ad/ad_init.c b/src/providers/ad/ad_init.c
index 0a54d39..8f6baae 100644
--- a/src/providers/ad/ad_init.c
+++ b/src/providers/ad/ad_init.c
@@ -125,7 +125,7 @@ common_ad_init(struct be_ctx *bectx)
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
               "Could not parse common options: [%s]\n",
-               strerror(ret));
+               sss_strerror(ret));
         goto done;
     }
 
@@ -141,7 +141,7 @@ common_ad_init(struct be_ctx *bectx)
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
               "Failed to init AD failover service: [%s]\n",
-               strerror(ret));
+               sss_strerror(ret));
         goto done;
     }
 
@@ -193,7 +193,7 @@ sssm_ad_id_init(struct be_ctx *bectx,
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
               "setup_child failed [%d][%s].\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto done;
     }
 
@@ -225,7 +225,7 @@ sssm_ad_id_init(struct be_ctx *bectx,
     ret = setup_tls_config(ad_ctx->sdap_id_ctx->opts->basic);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "setup_tls_config failed [%s]\n", strerror(ret));
+              "setup_tls_config failed [%s]\n", sss_strerror(ret));
         goto done;
     }
 
@@ -250,7 +250,7 @@ sssm_ad_id_init(struct be_ctx *bectx,
         ret = be_fo_set_dns_srv_lookup_plugin(bectx, hostname);
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE, "Unable to set SRV lookup plugin "
-                                        "[%d]: %s\n", ret, strerror(ret));
+                                        "[%d]: %s\n", ret, sss_strerror(ret));
             goto done;
         }
     }
@@ -262,7 +262,7 @@ sssm_ad_id_init(struct be_ctx *bectx,
                             ad_ctx->sdap_id_ctx);
     if (ret != EOK && ret != EEXIST) {
         DEBUG(SSSDBG_MINOR_FAILURE, "Periodical refresh of netgroups "
-              "will not work [%d]: %s\n", ret, strerror(ret));
+              "will not work [%d]: %s\n", ret, sss_strerror(ret));
     }
 
     *ops = &ad_id_ops;
@@ -319,7 +319,7 @@ sssm_ad_auth_init(struct be_ctx *bectx,
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
               "Could not initialize krb5_child settings: [%s]\n",
-               strerror(ret));
+               sss_strerror(ret));
         goto done;
     }
 
@@ -386,7 +386,7 @@ sssm_ad_access_init(struct be_ctx *bectx,
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
               "Could not initialize access provider options: [%s]\n",
-               strerror(ret));
+               sss_strerror(ret));
         goto fail;
     }
 
diff --git a/src/providers/ad/ad_srv.c b/src/providers/ad/ad_srv.c
index 53d8a87..631dd76 100644
--- a/src/providers/ad/ad_srv.c
+++ b/src/providers/ad/ad_srv.c
@@ -522,7 +522,7 @@ static void ad_get_client_site_done(struct tevent_req *subreq)
                                        &state->forest);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Unable to retrieve site name [%d]: %s\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
         ret = ENOENT;
         goto done;
     }
diff --git a/src/providers/ad/ad_subdomains.c b/src/providers/ad/ad_subdomains.c
index efe4b3f..cd8b794 100644
--- a/src/providers/ad/ad_subdomains.c
+++ b/src/providers/ad/ad_subdomains.c
@@ -523,7 +523,7 @@ static void ad_subdomains_retrieve(struct ad_subdomains_ctx *ctx,
     req = sdap_id_op_connect_send(req_ctx->sdap_op, req_ctx, &ret);
     if (req == NULL) {
         DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_connect_send failed: %d(%s).\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
         goto done;
     }
 
@@ -557,7 +557,7 @@ static void ad_subdomains_get_conn_done(struct tevent_req *req)
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
                   "Failed to connect to AD server: [%d](%s)\n",
-                   ret, strerror(ret));
+                   ret, sss_strerror(ret));
         }
 
         goto fail;
@@ -731,7 +731,7 @@ static void ad_subdomains_get_root_domain_done(struct tevent_req *req)
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
                   "Failed to search the AD server: [%d](%s)\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         }
         goto fail;
     }
@@ -769,7 +769,7 @@ static void ad_subdomains_get_root_domain_done(struct tevent_req *req)
     req = sdap_id_op_connect_send(ctx->root_op, ctx, &ret);
     if (req == NULL) {
         DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_connect_send failed: %d(%s).\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
         goto fail;
     }
 
@@ -848,7 +848,7 @@ static void ad_subdomains_root_conn_done(struct tevent_req *req)
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
                   "Failed to connect to AD server: [%d](%s)\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         }
 
         goto fail;
@@ -1009,7 +1009,7 @@ static void ad_subdomains_get_slave_domain_done(struct tevent_req *req)
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
                   "Failed to search the AD server: [%d](%s)\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         }
         tevent_req_error(req, ret);
         return;
diff --git a/src/providers/ad/ad_sudo.c b/src/providers/ad/ad_sudo.c
index 53ce5af..03ed05b 100644
--- a/src/providers/ad/ad_sudo.c
+++ b/src/providers/ad/ad_sudo.c
@@ -39,7 +39,7 @@ int ad_sudo_init(struct be_ctx *be_ctx,
     ret = sdap_sudo_init(be_ctx, id_ctx->sdap_id_ctx, ops, pvt_data);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Cannot initialize LDAP SUDO [%d]: %s\n",
-                                 ret, strerror(ret));
+                                 ret, sss_strerror(ret));
         return ret;
     }
 
diff --git a/src/providers/data_provider_be.c b/src/providers/data_provider_be.c
index dbd48b2..8b4439c 100644
--- a/src/providers/data_provider_be.c
+++ b/src/providers/data_provider_be.c
@@ -796,7 +796,7 @@ static void acctinfo_initgroups_callback(struct be_req *be_req,
     if (ret != EOK) {
         DEBUG(SSSDBG_TRACE_FUNC,
               "Error contacting NSS responder: %d [%s]\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
     }
 
 done:
@@ -1590,7 +1590,7 @@ static int be_sudo_handler(struct sbus_request *dbus_req, void *user_data)
 fail:
     /* send reply back immediately */
     be_sudo_handler_callback(be_req, DP_ERR_FATAL, ret,
-                             err_msg ? err_msg : strerror(ret));
+                             err_msg ? err_msg : sss_strerror(ret));
     return EOK;
 }
 
@@ -2459,7 +2459,7 @@ int be_process_init_sudo(struct be_ctx *be_ctx)
                                     CONFDB_MONITOR_ACTIVE_SERVICES, &services);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE, "Unable to read from confdb [%d]: %s\n",
-                                     ret, strerror(ret));
+                                     ret, sss_strerror(ret));
         goto done;
     }
 
@@ -2474,7 +2474,7 @@ int be_process_init_sudo(struct be_ctx *be_ctx)
                             CONFDB_DOMAIN_SUDO_PROVIDER, NULL, &provider);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE, "Unable to read from confdb [%d]: %s\n",
-                                     ret, strerror(ret));
+                                     ret, sss_strerror(ret));
         goto done;
     }
 
diff --git a/src/providers/dp_auth_util.c b/src/providers/dp_auth_util.c
index f8a30c5..a887b1f 100644
--- a/src/providers/dp_auth_util.c
+++ b/src/providers/dp_auth_util.c
@@ -125,14 +125,14 @@ bool dp_unpack_pam_request(DBusMessage *msg, TALLOC_CTX *mem_ctx,
                           authtok_data, authtok_length);
     if (ret) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "Failed to set auth token: %d [%s]\n", ret, strerror(ret));
+              "Failed to set auth token: %d [%s]\n", ret, sss_strerror(ret));
         return false;
     }
     ret = sss_authtok_set((*new_pd)->newauthtok, new_authtok_type,
                           new_authtok_data, new_authtok_length);
     if (ret) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "Failed to set auth token: %d [%s]\n", ret, strerror(ret));
+              "Failed to set auth token: %d [%s]\n", ret, sss_strerror(ret));
         return false;
     }
 
diff --git a/src/providers/dp_pam_data_util.c b/src/providers/dp_pam_data_util.c
index 705169d..2f3f64e 100644
--- a/src/providers/dp_pam_data_util.c
+++ b/src/providers/dp_pam_data_util.c
@@ -175,7 +175,7 @@ errno_t copy_pam_data(TALLOC_CTX *mem_ctx, struct pam_data *src,
 failed:
     talloc_free(pd);
     DEBUG(SSSDBG_CRIT_FAILURE,
-          "copy_pam_data failed: (%d) %s.\n", ret, strerror(ret));
+          "copy_pam_data failed: (%d) %s.\n", ret, sss_strerror(ret));
     return ret;
 }
 
diff --git a/src/providers/fail_over_srv.c b/src/providers/fail_over_srv.c
index 1b99f31..0d84a98 100644
--- a/src/providers/fail_over_srv.c
+++ b/src/providers/fail_over_srv.c
@@ -101,7 +101,7 @@ static void fo_discover_srv_done(struct tevent_req *subreq)
     ret = resolv_sort_srv_reply(&reply_list);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Could not sort the answers from DNS "
-                                    "[%d]: %s\n", ret, strerror(ret));
+                                    "[%d]: %s\n", ret, sss_strerror(ret));
         goto done;
     }
 
diff --git a/src/providers/ipa/ipa_access.c b/src/providers/ipa/ipa_access.c
index bb8e45c..3295e40 100644
--- a/src/providers/ipa/ipa_access.c
+++ b/src/providers/ipa/ipa_access.c
@@ -232,7 +232,8 @@ static int hbac_retry(struct hbac_ctx *hbac_ctx)
         subreq = sdap_id_op_connect_send(hbac_ctx->sdap_op, hbac_ctx, &ret);
         if (!subreq) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  "sdap_id_op_connect_send failed: %d(%s).\n", ret, strerror(ret));
+                  "sdap_id_op_connect_send failed: %d(%s).\n", ret,
+                  sss_strerror(ret));
             talloc_zfree(hbac_ctx->sdap_op);
             return ret;
         }
@@ -556,7 +557,7 @@ static void hbac_sysdb_save(struct tevent_req *req)
                               hbac_ctx->hostgroups);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Error saving hosts: [%d][%s]\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto fail;
     }
 
@@ -569,7 +570,7 @@ static void hbac_sysdb_save(struct tevent_req *req)
                               hbac_ctx->servicegroups);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Error saving services:  [%d][%s]\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto fail;
     }
     /* Save the rules */
@@ -580,7 +581,7 @@ static void hbac_sysdb_save(struct tevent_req *req)
                               NULL, NULL, 0, NULL);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Error saving rules:  [%d][%s]\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto fail;
     }
 
diff --git a/src/providers/ipa/ipa_auth.c b/src/providers/ipa/ipa_auth.c
index f9a0706..cf7858b 100644
--- a/src/providers/ipa/ipa_auth.c
+++ b/src/providers/ipa/ipa_auth.c
@@ -82,7 +82,7 @@ static struct tevent_req *get_password_migration_flag_send(TALLOC_CTX *memctx,
     subreq = sdap_id_op_connect_send(state->sdap_op, state, &ret);
     if (!subreq) {
         DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_connect_send failed: %d(%s).\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
         goto fail;
     }
 
@@ -113,7 +113,7 @@ static void get_password_migration_flag_auth_done(struct tevent_req *subreq)
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
                   "Failed to connect to IPA server: [%d](%s)\n",
-                   ret, strerror(ret));
+                   ret, sss_strerror(ret));
         }
 
         tevent_req_error(req, ret);
diff --git a/src/providers/ipa/ipa_hbac_common.c b/src/providers/ipa/ipa_hbac_common.c
index 317be99..9d24f8a 100644
--- a/src/providers/ipa/ipa_hbac_common.c
+++ b/src/providers/ipa/ipa_hbac_common.c
@@ -122,7 +122,7 @@ ipa_hbac_sysdb_save(struct sss_domain_info *domain,
                              attr_name, primary_count, primary);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Could not save %s. [%d][%s]\n",
-                  primary_subdir, ret, strerror(ret));
+                  primary_subdir, ret, sss_strerror(ret));
         goto done;
     }
 
@@ -132,7 +132,7 @@ ipa_hbac_sysdb_save(struct sss_domain_info *domain,
                                  groupattr_name, group_count, groups);
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE, "Could not save %s. [%d][%s]\n",
-                      group_subdir, ret, strerror(ret));
+                      group_subdir, ret, sss_strerror(ret));
             goto done;
         }
     }
@@ -153,7 +153,8 @@ done:
     }
 
     if (ret != EOK) {
-        DEBUG(SSSDBG_MINOR_FAILURE, "Error [%d][%s]\n", ret, strerror(ret));
+        DEBUG(SSSDBG_MINOR_FAILURE,
+              "Error [%d][%s]\n", ret, sss_strerror(ret));
     }
     return ret;
 }
diff --git a/src/providers/ipa/ipa_hbac_services.c b/src/providers/ipa/ipa_hbac_services.c
index 3040ce6..5035f72 100644
--- a/src/providers/ipa/ipa_hbac_services.c
+++ b/src/providers/ipa/ipa_hbac_services.c
@@ -347,7 +347,8 @@ done:
     if (ret == EOK) {
         tevent_req_done(req);
     } else {
-        DEBUG(SSSDBG_MINOR_FAILURE, "Error [%d][%s]\n", ret, strerror(ret));
+        DEBUG(SSSDBG_MINOR_FAILURE,
+              "Error [%d][%s]\n", ret, sss_strerror(ret));
         tevent_req_error(req, ret);
     }
 }
diff --git a/src/providers/ipa/ipa_hosts.c b/src/providers/ipa/ipa_hosts.c
index 64f80f0..4c12af3 100644
--- a/src/providers/ipa/ipa_hosts.c
+++ b/src/providers/ipa/ipa_hosts.c
@@ -425,7 +425,7 @@ done:
     if (ret == EOK) {
         tevent_req_done(req);
     } else {
-        DEBUG(SSSDBG_OP_FAILURE, "Error [%d][%s]\n", ret, strerror(ret));
+        DEBUG(SSSDBG_OP_FAILURE, "Error [%d][%s]\n", ret, sss_strerror(ret));
         tevent_req_error(req, ret);
     }
 }
diff --git a/src/providers/ipa/ipa_init.c b/src/providers/ipa/ipa_init.c
index c1a9cc7..4764f41 100644
--- a/src/providers/ipa/ipa_init.c
+++ b/src/providers/ipa/ipa_init.c
@@ -218,7 +218,7 @@ int sssm_ipa_id_init(struct be_ctx *bectx,
     ret = setup_tls_config(sdap_ctx->opts->basic);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "setup_tls_config failed [%d][%s].\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto done;
     }
 
@@ -235,7 +235,7 @@ int sssm_ipa_id_init(struct be_ctx *bectx,
     ret = sdap_setup_child();
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "setup_child failed [%d][%s].\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto done;
     }
 
@@ -275,8 +275,9 @@ int sssm_ipa_id_init(struct be_ctx *bectx,
 
             ret = be_fo_set_dns_srv_lookup_plugin(bectx, hostname);
             if (ret != EOK) {
-                DEBUG(SSSDBG_CRIT_FAILURE, "Unable to set SRV lookup plugin "
-                                            "[%d]: %s\n", ret, strerror(ret));
+                DEBUG(SSSDBG_CRIT_FAILURE,
+                      "Unable to set SRV lookup plugin [%d]: %s\n",
+                      ret, sss_strerror(ret));
                 goto done;
             }
         } else {
@@ -313,7 +314,7 @@ int sssm_ipa_id_init(struct be_ctx *bectx,
         ret = be_fo_set_dns_srv_lookup_plugin(bectx, hostname);
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE, "Unable to set SRV lookup plugin "
-                                        "[%d]: %s\n", ret, strerror(ret));
+                                        "[%d]: %s\n", ret, sss_strerror(ret));
             goto done;
         }
     }
@@ -325,7 +326,7 @@ int sssm_ipa_id_init(struct be_ctx *bectx,
                             sdap_ctx);
     if (ret != EOK && ret != EEXIST) {
         DEBUG(SSSDBG_MINOR_FAILURE, "Periodical refresh of netgroups "
-              "will not work [%d]: %s\n", ret, strerror(ret));
+              "will not work [%d]: %s\n", ret, sss_strerror(ret));
     }
 
     *ops = &ipa_id_ops;
@@ -424,7 +425,7 @@ int sssm_ipa_auth_init(struct be_ctx *bectx,
     ret = setup_tls_config(sdap_auth_ctx->opts->basic);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "setup_tls_config failed [%d][%s].\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto done;
     }
 
@@ -433,7 +434,7 @@ int sssm_ipa_auth_init(struct be_ctx *bectx,
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
               "Could not initialize krb5_child settings: [%s]\n",
-               strerror(ret));
+               sss_strerror(ret));
         goto done;
     }
 
diff --git a/src/providers/ipa/ipa_selinux.c b/src/providers/ipa/ipa_selinux.c
index 3cd1cc1..079eb82 100644
--- a/src/providers/ipa/ipa_selinux.c
+++ b/src/providers/ipa/ipa_selinux.c
@@ -947,7 +947,7 @@ ipa_get_selinux_send(TALLOC_CTX *mem_ctx,
         subreq = sdap_id_op_connect_send(state->op, state, &ret);
         if (!subreq) {
             DEBUG(SSSDBG_CRIT_FAILURE, "sdap_id_op_connect_send failed: "
-                                        "%d(%s).\n", ret, strerror(ret));
+                                        "%d(%s).\n", ret, sss_strerror(ret));
             talloc_zfree(state->op);
             goto immediate;
         }
@@ -1062,7 +1062,7 @@ ipa_get_selinux_maps_offline(struct tevent_req *req)
                                       NULL, &defaults);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "sysdb_search_selinux_config failed [%d]: %s\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
         return ret;
     }
 
@@ -1095,7 +1095,7 @@ ipa_get_selinux_maps_offline(struct tevent_req *req)
                                      attrs, &nmaps, &maps);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "sysdb_get_selinux_usermaps failed [%d]: %s\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
         return ret;
     }
 
@@ -1110,7 +1110,7 @@ ipa_get_selinux_maps_offline(struct tevent_req *req)
                                 &state->hbac_rule_count, &state->hbac_rules);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "hbac_get_cached_rules failed [%d]: %s\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
         return ret;
     }
 
diff --git a/src/providers/ipa/ipa_subdomains.c b/src/providers/ipa/ipa_subdomains.c
index 7103ba2..8c5a793 100644
--- a/src/providers/ipa/ipa_subdomains.c
+++ b/src/providers/ipa/ipa_subdomains.c
@@ -848,7 +848,7 @@ static void ipa_subdomains_retrieve(struct ipa_subdomains_ctx *ctx, struct be_re
     req = sdap_id_op_connect_send(req_ctx->sdap_op, req_ctx, &ret);
     if (req == NULL) {
         DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_connect_send failed: %d(%s).\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
         goto done;
     }
 
@@ -882,7 +882,7 @@ static void ipa_subdomains_get_conn_done(struct tevent_req *req)
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
                   "Failed to connect to IPA server: [%d](%s)\n",
-                   ret, strerror(ret));
+                   ret, sss_strerror(ret));
         }
 
         goto fail;
